li[data-list=ordered] {
    counter-increment: list-0;
}

@supports (counter-set:none){
    li[data-list] {
        counter-set: list-1 list-2 list-3 list-4 list-5 list-6 list-7 list-8 list-9;
    }
}

li[data-list=ordered], li[data-list=bullet] {
    list-style-type: none;
    padding-left: 0.5em;
    padding-right: 0.5em;
    position: relative;
}

.ql-ui {
 position: absolute;
}

li > .ql-ui:before {
    display: inline-block;
    margin-left: -1.5em;
    margin-right: 1em;
    text-align: right;
    white-space: nowrap;
    width: 1em;
    font-size: 30px;
}
.ql-editor li[data-list=ordered] > .ql-ui:before {
content: counter(list-0, decimal) '. ';
}

ol {
padding-left: 1.5em;
}

li[data-list=bullet] > .ql-ui:before {
content: '\2022';
}